Skip to main content
GET
/
sandbox
/
offers
/
get
/
v1
Get test offers
curl --request GET \
  --url https://api.collectpure.com/sandbox/offers/get/v1 \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "offers": [
      {
        "offerId": "<string>",
        "productId": "<string>",
        "variantId": "<string>",
        "buyerId": "<string>",
        "productTitle": "<string>",
        "sku": "<string>",
        "material": "<string>",
        "quantity": 123,
        "price": 123,
        "priceDollars": 123,
        "spotPremium": 123,
        "spotPremiumDollar": 123,
        "expiresAt": "<string>"
      }
    ],
    "total": 123
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

limit
integer
default:50

Maximum number of offers to return (default 50, max 250)

Required range: 1 <= x <= 250
offset
integer
default:0

Number of offers to skip for pagination

Required range: 0 <= x <= 9007199254740991

Response

200 - application/json

Default Response

data
object
required